Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc
Class JAXRPCException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.xml.rpc.JAXRPCException

public class JAXRPCException
extends java.lang.RuntimeException

The `javax.xml.rpc.JAXRPCException` is thrown from the core JAX-RPC APIs to indicate an exception related to the JAX-RPC runtime mechanisms.

Constructor Summary
`JAXRPCException()` Constructs a new exception with `null` as its detail message.
`JAXRPCException(java.lang.String message)` Constructs a new exception with the specified detail message.
`JAXRPCException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
`JAXRPCException(java.lang.Throwable cause)` Constructs a new JAXRPCException with the specified cause and a detail message.

Method Summary
`java.lang.Throwable` | `getLinkedCause()` Gets the Linked cause

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAXRPCException

    public JAXRPCException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized.

### JAXRPCException

    public JAXRPCException(java.lang.String message)

  Constructs a new exception with the specified detail message. The cause is not initialized.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method

### JAXRPCException

    public JAXRPCException(java.lang.String message,
                           java.lang.Throwable cause)

  Constructs a new exception with the specified detail message and cause.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method
  `cause` - The cause which is saved for the later retrieval throw by the getLinkedCause method

### JAXRPCException

    public JAXRPCException(java.lang.Throwable cause)

  Constructs a new JAXRPCException with the specified cause and a detail message. The detail message is set to `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of cause).

Parameters:
  `cause` - The cause which is saved for the later retrieval throw by the getLinkedCause method. (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getLinkedCause

    public java.lang.Throwable getLinkedCause()

  Gets the Linked cause

  Returns:
    The cause of this Exception or `null` if the cause is nonexistent or unknown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 1.0 of J2ME Web Services Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved. Use is subject to license terms.